Subject: teleconference

From: [email-masked] ("Jim Harris")
Date: 17 Feb 1995 14:40:39 -0800

Medical Mycology Teleconference ("Old and New Approaches to Medical 
Mycology") directed at clinical laboratory scientists on the Teleconference 
Network of Texas is scheduled for March 28, 1995 at 1:30-2:30 CST.  
Contact the Teleconference Network at 1-800-982-8868 and ask for William 
Salada to get more information
[email-masked]